Personalization
View and manage Organization User Personalization Settings.
Get a Organization User Personalization Settings
/settings/v1/personalization
Get a Organization User Personalization Settings by Entity Id
Requires a bearer access token for this API with the Organization.User.Settings.Personalization.Read permission. See Authentication.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X GET "https://connect.cambrionix.com/api/settings/v1/personalization" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update a Organization User Personalization Settings
/settings/v1/personalization
Update a Organization User Personalization Settings by Entity Id
Requires a bearer access token for this API with the Organization.User.Settings.Personalization.Write permission. See Authentication.
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
Try it
curl -X PATCH "https://connect.cambrionix.com/api/settings/v1/personalization" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "display": { "dataView": "Card", "theme": "Light", "units": { "memory": "Binary", "temperature": "Celsius" } } }'